Rated 5 out of 5 stars

Please make this excellent extension FF3 compatible.

This review is for a previous version of the add-on (1.3.8).